plugin_bridge.h File Reference

Go to the source code of this file.

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | BIBO_EXTRA_BITS 5
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Functions

void | grk::decompress_synch_plugin_with_host (TileProcessor *tcd)
void | grk::compress_synch_with_plugin (TileProcessor *tcd, uint16_t compno, uint32_t resno, uint32_t bandIndex, uint64_t precinctIndex, uint64_t cblkno, Subband *band, CompressCodeblock *cblk, uint32_t *numPix)
bool | grk::tile_equals (grk_plugin_tile *plugin_tile, Tile *tilePtr)
void | grk::set_context_stream (TileProcessor *p_tileProcessor)
void | grk::nextCXD (grk_plugin_debug_mqc *mqc, uint32_t d)
void | grk::mqc_next_plane (grk_plugin_debug_mqc *mqc)

## Macro Definition Documentation

## BIBO_EXTRA_BITS

#define BIBO_EXTRA_BITS 5

Copyright (C) 2016-2023 Grok Image Compression Inc.

This source code is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License, version 3, as published by the Free Software Foundation.

This source code is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License along with this program. If not, see http://www.gnu.org/licenses/.